<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('data_clatrans', function (Blueprint $table) {
            $table->id();
            $table->string('pendidikan');
            $table->string('pertanian');
            $table->string('peternakan');
            $table->string('perikanan');
            $table->string('perkebunan');
            $table->string('kehutanan');
            $table->string('lain_lain');
            $table->string('kelembagaan_adat');
            $table->string('kelembagaan_sosial');
            $table->string('no_sk_caltrans');
            $table->date('tgl_sk_caltrans');
            $table->string('penandatangan_sk_caltrans');
            $table->string('jarak_tempuh_bandara');
            $table->string('jarak_tempuh_kampung');
            $table->string('kampung_binaan');
            $table->string('jenis_pelatihan');
            $table->string('sharing_information');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('data_clatrans');
    }
};